//=============================================================================
// ChristmasMut.
//=============================================================================
class ChristmasMut expands Mutator config(UaSXmasSettings);


struct MapAndLoc
{
var() config string LvlName;
var() config vector SpawnLoc;
var() config vector SecondLoc;
var() config vector ThirdLoc;
};

var() config MapAndLoc SnowSpawn[50];
var() config bool bPresents;
var string ThisMap;
var xmasWE WE;
var rotator RotateMe;
var xmasWE WE2;
var xmasWE WE3;
var int SPC;

simulated function postbeginplay()
{


local int derp;
local int s;
local int q;
local int PathCount;
        local int SelectPath;
        local vector vTemp;

SPC = 500+Rand(500);

ThisMap = Level.GetLocalURL();

S = InStr(ThisMap,"/") + 1;
  Q = InStr(ThisMap,"?");
  ThisMap = Mid(ThisMap,S,Q - S);
  if ( InStr(Caps(ThisMap),".UNR") == -1 )
  {
    ThisMap = ThisMap $ ".unr";
  }

for(derp=0;derp<50;derp++)
{
if(thismap~=SnowSpawn[derp].LvlName)
{
// GoHere=StoreSpawn[derp].SpawnLoc;
we = spawn(class'xmaswe',,,SnowSpawn[derp].SpawnLoc);
if(we!=none)
SetPropz();
if(SnowSpawn[derp].secondloc.x!=0)
{
we = spawn(class'xmaswe',,,SnowSpawn[derp].SecondLoc);
if(we!=none)
SetPropz();
}
if(SnowSpawn[derp].thirdloc.x!=0)
{
we = spawn(class'xmaswe',,,SnowSpawn[derp].ThirdLoc);
if(we!=none)
SetPropz();
}
}
}



}

/*
simulated function SetPropzTW()
{
RotateMe.Pitch = 49240;
RotateMe.Roll = 6672;
RotateMe.Yaw = -168;

if(we2!=none)
{
we2.setrotation(RotateMe);
we2.appeararea.x.max=20000;
we2.appeararea.x.min=15000;
we2.appeararea.y.max=20000;
we2.appeararea.y.max=15000;
we2.appeararea.z.max=20000;
we2.appeararea.z.max=15000;
we2.appearareatype = EWA_Zone;
we2.fadeoutdistance.max=30000;
we2.fadeoutdistance.min=29000;
we2.lifetime.max=2.0;
we2.lifetime.min=1.0;
we2.particlecount=500;
we2.partstyle=sty_translucent;
we2.parttextures[0]=texture'uasxmastex.snowflake';
we2.parttextures[1]=texture'uasxmastex.snowflake';
we2.parttextures[2]=texture'uasxmastex.snowflake';
we2.parttextures[3]=texture'uasxmastex.snowflake';
we2.parttextures[4]=texture'uasxmastex.snowflake';
we2.parttextures[5]=texture'uasxmastex.snowflake';
we2.parttextures[6]=texture'uasxmastex.snowflake';
we2.parttextures[7]=texture'uasxmastex.snowflake';
we2.position.x.min=-600;
we2.position.x.max=600;
we2.position.y.min=-600;
we2.position.y.max=600;
we2.position.z.min=-50;
we2.position.z.max=500;
we2.size.min=0.01;
we2.size.max=0.1;
we2.speed.max=800;
we2.speed.min=100;
we2.weathertype=EWF_Snow;

}

}
simulated function SetPropzTH()
{
RotateMe.Pitch = 49240;
RotateMe.Roll = 6672;
RotateMe.Yaw = -168;

if(we3!=none)
{
we3.setrotation(RotateMe);
we3.appeararea.x.max=20000;
we3.appeararea.x.min=15000;
we3.appeararea.y.max=20000;
we3.appeararea.y.max=15000;
we3.appeararea.z.max=20000;
we3.appeararea.z.max=15000;
we3.appearareatype = EWA_Zone;
we3.fadeoutdistance.max=30000;
we3.fadeoutdistance.min=29000;
we3.lifetime.max=2.0;
we3.lifetime.min=1.0;
we3.particlecount=500;
we3.partstyle=sty_translucent;
we3.parttextures[0]=texture'uasxmastex.snowflake';
we3.parttextures[1]=texture'uasxmastex.snowflake';
we3.parttextures[2]=texture'uasxmastex.snowflake';
we3.parttextures[3]=texture'uasxmastex.snowflake';
we3.parttextures[4]=texture'uasxmastex.snowflake';
we3.parttextures[5]=texture'uasxmastex.snowflake';
we3.parttextures[6]=texture'uasxmastex.snowflake';
we3.parttextures[7]=texture'uasxmastex.snowflake';
we3.position.x.min=-600;
we3.position.x.max=600;
we3.position.y.min=-600;
we3.position.y.max=600;
we3.position.z.min=-50;
we3.position.z.max=500;
we3.size.min=0.01;
we3.size.max=0.1;
we3.speed.max=800;
we3.speed.min=100;
we3.weathertype=EWF_Snow;
}

}
*/
simulated function SetPropz()
{
RotateMe.Pitch = 49240;
RotateMe.Roll = 6672;
RotateMe.Yaw = -168;
if(we!=none)
{
we.setrotation(RotateMe);
we.appeararea.x.max=20000;
we.appeararea.x.min=15000;
we.appeararea.y.max=20000;
we.appeararea.y.min=15000;
we.appeararea.z.max=20000;
we.appeararea.z.min=15000;
we.appearareatype = EWA_Zone;
we.fadeoutdistance.max=55000;
we.fadeoutdistance.min=40000;
we.lifetime.max=2.0;
we.lifetime.min=1.0;
we.particlecount=SPC;
we.partstyle=sty_translucent;
we.parttextures[0]=texture'uasxmastex.sflake2';
we.parttextures[1]=texture'uasxmastex.sflake2';
we.parttextures[2]=texture'uasxmastex.sflake2';
we.parttextures[3]=texture'uasxmastex.sflake2';
we.parttextures[4]=texture'uasxmastex.sflake2';
we.parttextures[5]=texture'uasxmastex.sflake2';
we.parttextures[6]=texture'uasxmastex.sflake2';
we.parttextures[7]=texture'uasxmastex.sflake2';
we.position.x.min=-600;
we.position.x.max=600;
we.position.y.min=-600;
we.position.y.max=600;
we.position.z.min=-50;
we.position.z.max=500;
we.size.min=0.01;
we.size.max=0.06;
we.speed.max=450;
we.speed.min=100;
we.weathertype=EWF_Snow;
}

}

function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
        local int i;
		local present pres;
		// local int treez;

if(other.isa('tree'))
{
tree(other).remoterole = role_simulatedproxy;
tree(other).balwaysrelevant = true;
tree(other).setcollision(false,false,false);
tree(other).bhidden=true;
tree(other).mesh=none;
tree(other).drawtype = dt_none;
spawn(class'pines',,,tree(other).location+vect(0,0,-10));
}

if(other.isa('plant1') || other.isa('plant2') || other.isa('plant3') || other.isa('plant4') || other.isa('plant5') || other.isa('plant6') || other.isa('plant7'))
{
other.remoterole = role_simulatedproxy;
other.balwaysrelevant = true;
other.setcollision(false,false,false);
other.bhidden=true;
other.mesh=none;
other.drawtype = dt_none;
spawn(class'spawnbush',,,other.location+vect(0,0,25));
}

If(Other.IsA('NaliFruit'))
{
NaliFruit(Other).Skin=Texture'UaSXmas.JFrostedNaliFruit';
NaliFruit(Other).Texture=Texture'UaSXmas.JFrostedNaliFruit';
NaliFruit(Other).MultiSkins[0]=Texture'UaSXmas.JFrostedNaliFruit';
NaliFruit(Other).MultiSkins[1]=Texture'UaSXmas.JFrostedNaliFruit';
}

if(bpresents)
{

        i=rand(50);
if(i > 25)
{
 

// log(other.tag);
if (Other.Class == Class'WoodenBox')
        {
if(other.tag != 'SpawnedDeco')
{
                pres=spawn(class'present',,,other.location);
		if(pres!=none)
{
				pres.contents = Class'UaSXmas.winarr';
pres.content2=Class'UaSXmas.winarr';
pres.content3=Class'UaSXmas.winarr';
}

				other.destroy();
                return false; 
}
        }
else
if (Other.Class == Class'smallwoodbox')
        {
if(other.tag != 'SpawnedDeco')
{
                 pres=spawn(class'present',,,other.location);

		if(pres!=none)
{
				pres.contents = Class'UaSXmas.winarr';
pres.content2=Class'UaSXmas.winarr';
pres.content3=Class'UaSXmas.winarr';
}


				other.destroy();
                return false; 
}
        }
else
if (Other.Class == Class'medwoodbox')
        {
if(other.tag != 'SpawnedDeco')
{
                 pres=spawn(class'present',,,other.location);
				if(pres!=none)
{
				pres.contents = Class'UaSXmas.winarr';
pres.content2=Class'UaSXmas.winarr';
pres.content3=Class'UaSXmas.winarr';
}
				other.destroy();
                return false; 
}
        
}
      }
}

		
return true;

}

defaultproperties
{
				SnowSpawn(0)=(LvlName="Nyleve.UNR",SpawnLoc=(X=3182.604980,Y=-7422.766113,Z=-1202.099976),SecondLoc=(X=63.103981,Y=27.168167,Z=-12.456845))
				SnowSpawn(1)=(LvlName="Passage.UNR",SpawnLoc=(X=5115.372070,Y=4436.124512,Z=1012.124573))
				SnowSpawn(2)=(LvlName="Chizra.UNR",SpawnLoc=(X=-6119.269043,Y=456.889282,Z=1531.108521),SecondLoc=(X=-6140.375977,Y=-954.299316,Z=1503.317505))
				SnowSpawn(3)=(LvlName="Ceremony.UNR",SpawnLoc=(X=-1019.652588,Y=-49.584564,Z=815.478699),SecondLoc=(X=-965.895874,Y=5138.177246,Z=1161.747070))
				SnowSpawn(4)=(LvlName="Dark.UNR",SpawnLoc=(X=-3452.832031,Y=2719.194092,Z=1868.408569),SecondLoc=(X=30.271282,Y=-46.095539,Z=1111.348022))
				SnowSpawn(5)=(LvlName="Harobed.UNR",SpawnLoc=(X=-6213.194824,Y=3051.410156,Z=487.255157))
				SnowSpawn(6)=(LvlName="Noork.UNR",SpawnLoc=(X=-3171.432129,Y=3466.366943,Z=-541.441833))
				SnowSpawn(7)=(LvlName="Ruins.UNR",SpawnLoc=(X=-153.238281,Y=-3.159140,Z=679.694763),SecondLoc=(X=2884.793213,Y=-346.756287,Z=1218.582275),ThirdLoc=(X=3264.401855,Y=-4569.557617,Z=1198.099121))
				SnowSpawn(8)=(LvlName="Trench.UNR",SpawnLoc=(X=8924.295898,Y=1373.216187,Z=-296.683411))
				SnowSpawn(9)=(LvlName="SpireVillage.UNR",SpawnLoc=(X=-12459.162109,Y=10843.895508,Z=-1971.273682))
				SnowSpawn(10)=(LvlName="TheSunspire.UNR",SpawnLoc=(X=-6150.345215,Y=9475.193359,Z=-881.451904))
				SnowSpawn(11)=(LvlName="SkyCaves.UNR",SpawnLoc=(X=-57.825478,Y=-279.948883,Z=563.770569),SecondLoc=(X=-3926.069580,Y=-3576.498535,Z=823.381653))
				SnowSpawn(12)=(LvlName="SkyTown.UNR",SpawnLoc=(X=-825.821045,Y=4.022511,Z=4370.777344))
				SnowSpawn(13)=(LvlName="skybase.UNR",SpawnLoc=(X=1064.403198,Y=-1465.436035,Z=4634.479980))
				SnowSpawn(14)=(LvlName="veloraend.UNR",SpawnLoc=(X=-1077.742065,Y=-6220.218750,Z=2249.269043))
				SnowSpawn(15)=(LvlName="bluff.UNR",SpawnLoc=(X=-162.250656,Y=9115.298828,Z=-1778.519043))
				SnowSpawn(16)=(LvlName="dasapass.UNR",SpawnLoc=(X=-441.311554,Y=67.865555,Z=662.843689))
				SnowSpawn(17)=(LvlName="naliboat.UNR",SpawnLoc=(X=-9240.607422,Y=521.066284,Z=4694.699219),SecondLoc=(X=-5033.019043,Y=-8561.229492,Z=4171.775391))
				SnowSpawn(18)=(LvlName="nalic.UNR",SpawnLoc=(X=-466.252472,Y=-2343.607666,Z=6474.009277))
				SnowSpawn(19)=(LvlName="dcrater.UNR",SpawnLoc=(X=-1951.522461,Y=-63.737823,Z=3286.950684))
				RemoteRole=ROLE_SimulatedProxy
				bAlwaysRelevant=True
}
